%global momorel 1

%define buildlibwrap 1
%define buildbsdppp 0
%define buildslirp 0
%define buildipalloc 0
%define buildbcrelay 1
%define buildpnsmode 0

Summary: PoPToP Point to Point Tunneling Server
Name: pptpd
Requires: ppp >= 2.4.3
Version: 1.3.2
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
Source0: http://dl.sourceforge.net/sourceforge/poptop/%{name}-%{version}.tar.gz
NoSource: 0
Source1: pptpd-init
URL: http://poptop.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
This implements a Virtual Private Networking Server (VPN) that is
compatible with Microsoft VPN clients. It allows windows users to
connect to an internal firewalled network using their dialup.

# allow --with[out] <feature> at rpm command line build
# e.g. --with ipalloc --without libwrap
# --with overrides --without
%{?_without_libwrap: %{expand: %%define buildlibwrap 0}}
%{?_without_bsdppp: %{expand: %%define buildbsdppp 0}}
%{?_without_slirp: %{expand: %%define buildslirp 0}}
%{?_without_ipalloc: %{expand: %%define buildipalloc 0}}
%{?_without_bcrelay: %{expand: %%define buildbcrelay 0}}
%{?_without_pnsmode: %{expand: %%define buildpnsmode 0}}
%{?_with_libwrap: %{expand: %%define buildlibwrap 1}}
%{?_with_bsdppp: %{expand: %%define buildbsdppp 1}}
%{?_with_slirp: %{expand: %%define buildslirp 1}}
%{?_with_ipalloc: %{expand: %%define buildipalloc 1}}
%{?_with_bcrelay: %{expand: %%define buildbcrelay 1}}
%{?_with_pnsmode: %{expand: %%define buildpnsmode 1}}

%prep

%setup -q

%build
buildopts=""
%if %{buildlibwrap}
buildopts="$buildopts --with-libwrap"
%endif
%if %{buildbsdppp}
buildopts="$buildopts --with-bsdppp"
%endif
%if %{buildslirp}
buildopts="$buildopts --with-slirp"
%endif
%if %{buildipalloc}
buildopts="$buildopts --with-pppd-ip-alloc"
%endif
%if %{buildbcrelay}
buildopts="$buildopts --with-bcrelay"
%endif
%if %{buildpnsmode}
buildopts="$buildopts --with-pns-mode"
%endif
./configure --prefix=%{_prefix} $buildopts
echo '#undef VERSION' >> plugins/patchlevel.h
echo '#define VERSION         "2.4.3"' >> plugins/patchlevel.h
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/ppp
mkdir -p $RPM_BUILD_ROOT/usr/bin/
make prefix=$RPM_BUILD_ROOT%{_prefix} INSTALL=install install
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/pptpd
install -m 0644 samples/pptpd.conf $RPM_BUILD_ROOT/etc/pptpd.conf
install -m 0644 samples/options.pptpd $RPM_BUILD_ROOT/etc/ppp/options.pptpd
install -m 0755 tools/vpnuser $RPM_BUILD_ROOT/usr/bin/vpnuser
#install -m 0755 tools/vpnstats $RPM_BUILD_ROOT/usr/bin/vpnstats
install -m 0755 tools/vpnstats.pl $RPM_BUILD_ROOT/usr/bin/vpnstats.pl
install -m 0755 tools/pptp-portslave $RPM_BUILD_ROOT/usr/sbin/pptp-portslave
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
install -m 0644 pptpd.conf.5 $RPM_BUILD_ROOT/usr/man/man5/pptpd.conf.5
install -m 0644 pptpd.8 $RPM_BUILD_ROOT/usr/man/man8/pptpd.8
install -m 0644 pptpctrl.8 $RPM_BUILD_ROOT/usr/man/man8/pptpctrl.8

%post
/sbin/chkconfig --add pptpd
OUTD="" ; for i in d manager ctrl ; do
    test -x /sbin/pptp$i && OUTD="$OUTD /sbin/pptp$i" ;
done
test -z "$OUTD" || \
{ echo "possible outdated executable detected; we now use /usr/sbin/pptp*, perhaps you should do run the following command:"; echo "rm -i $OUTD" ;}

%preun
/sbin/chkconfig --del pptpd
if [ "$1" -lt 1 ]; then
    /etc/init.d/pptpd stop > /dev/null 2>&1
    /sbin/chkconfig --del pptpd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README* TODO ChangeLog* samples
/usr/sbin/pptpd
/usr/sbin/pptpctrl
/usr/sbin/pptp-portslave
%if %{buildbcrelay}
/usr/sbin/bcrelay
%endif
/usr/lib/pptpd/pptpd-logwtmp.so
/usr/bin/vpnuser
#/usr/bin/vpnstats
/usr/bin/vpnstats.pl
/usr/man/man5/pptpd.conf.5*
/usr/man/man8/pptpd.8*
/usr/man/man8/pptpctrl.8*
/etc/init.d/pptpd
%config(noreplace) /etc/pptpd.conf
%config(noreplace) /etc/ppp/options.pptpd

%changelog
* Sun Aug 13 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.2-1m)
- version up 1.3.2

* Wed Nov  9 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.4-6m)
- add gcc4 patch
- Patch1: pptpd-1.1.4-gcc4.patch

* Sun Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.4-5m)
- stop daemon

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.4-4m)
- s/Copyright:/License:/

* Wed Oct 22 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1.4-3m)
- kill %%define name

* Mon Sep 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (1.1.4-2m)
- revise options.pptpd for ppp-2.4.2

* Wed May 14 2003 YAMAGUCHI Kenji <yamk@momonga-linux.org>
- (1.1.4-1m)
- update to 1.1.4-b4 for security fix.

* Fri Oct 25 2002 YAMAGUCHI Kenji <yamk@momonga-linux.org>
- (1.1.3-1m)
- update to 1.1.3 CVS 20021009
- merge specs from Richard de Vroede <richard@linvision.com>

* Wed Apr 03 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.0.1-6k)
- chap-secrets nigirisugi

* Mon Mar 25 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.0.1-4k)
- rewrite initscript

* Mon Jan 09 2002 YAMAGUCHI Kenji <yamk@kondara.org>
- (1.0.1-2k)
- Kondarized.

* Mon Oct 9 2000 Andy Worthington <christopherandrew@ou.edu>
- changed url and source to new website
- added man pages to files
- removed startup via inittab
- added startup via init (%{_sysconfdir}/rc.d/init.d/)
- updated to 1.0.1

* Tue Nov 23 1999 Tim Powers <timp@redhat.com>
- added "%config /etc/pptpd.conf" back to spec
- updated to 1.0.0

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Wed Aug 4 1999 Tim Powers <timp@redhat.com>
- started changelog
- quiet setup
- changed prefix to be /usr instead of /usr/local
- added buildroot
- fixed %install section so that it uses buildroot
- updated source to 0.9.10
- built to be included into Powertools
- spec based heavily on spec by "Allan's Package-O-Matic Blenderfier"
